## org.apache.lucene.spatial.tier
Class DistanceUtils

    java.lang.Object
      org.apache.lucene.spatial.tier.DistanceUtils

    public class DistanceUtils

extends java.lang.Object

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`DistanceUtils()`

Method Summary
`Rectangle` `getBoundary(double x1, double y1, double miles)`
`double` `getDistanceMi(double x1, double y1, double x2, double y2)`
`static DistanceUtils` `getInstance()`
`double` `getLLMDistance(double x1, double y1, double x2, double y2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceUtils

    public DistanceUtils()

Method Detail

### getInstance

    public static DistanceUtils getInstance()

### getDistanceMi

    public double getDistanceMi(double x1,
                                double y1,
                                double x2,
                                double y2)

### getBoundary

    public Rectangle getBoundary(double x1,
                                 double y1,
                                 double miles)

  Parameters:
    `x1` -
    `y1` -
    `miles` -
  Returns:
    boundary rectangle where getY/getX is top left, getMinY/getMinX is bottom right

### getLLMDistance

    public double getLLMDistance(double x1,
                                 double y1,
                                 double x2,
                                 double y2)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.